# Source of balki.me

## Asciinema

Followed instructions from here: https://jenciso.github.io/blog/embedding-asciinema-cast-in-your-hugo-site/

Asciinema uses wasm which needs CSP unsafe-eval. Ref: https://www.aaron-powell.com/posts/2019-11-27-using-webassembly-with-csp-headers/

## Submodule for generated output

Tracking hugo generated output in git enables to see differences easily before pushing. Also helpful to compare differences after hugo version upgrade.
Below commands help to add a public url for the web UI and also private ssh url for pushing

```bash
git submodule add https://gitea.balki.me/balki/blog-op public
cd public
git config remote.origin.url gitea:balki/blog-op
```
